Skip to content
Guides
API reference
stablecatalog:read

Get variant

GET/v1/catalog/variants/{variantId}

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

variantId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/catalog/variants/string"
{  "variantId": "string",  "tenantId": "string",  "storeId": "string",  "productId": "string",  "sellerId": null,  "packageId": null,  "shippingProfileId": null,  "productName": "string",  "productDescription": "string",  "productSlug": "string",  "productType": "string",  "productTypeId": 0,  "productIsDigital": true,  "productTaxIncluded": true,  "productStatus": "string",  "productImage": "string",  "thumbnail": "string",  "brandId": null,  "brandName": null,  "categoryId": null,  "categoryName": null,  "tags": [    "string"  ],  "variantName": "string",  "variantSku": "string",  "variantBarcode": null,  "variantStatus": "string",  "variantIsDigital": true,  "allowBackorders": true,  "onHand": 0,  "committed": 0,  "available": 0,  "order": 0,  "isDefault": true,  "upc": null,  "mpn": null,  "countryOfOrigin": null,  "hsCode": null,  "price": 0.1,  "compareAtPrice": null,  "costPrice": null,  "currency": "string",  "lowStockThreshold": 0,  "weight": 0.1,  "width": 0.1,  "height": 0.1,  "length": 0.1,  "unitOfMeasure": "string",  "requiresShipping": true,  "trackInventory": true,  "images": [    {      "imageId": "string",      "order": 0,      "isPrimary": true    }  ],  "options": [    {      "name": "string",      "key": "string",      "value": "string"    }  ],  "inventories": [    {      "id": "string",      "locationId": "string",      "onHand": 0,      "committed": 0,      "available": 0,      "incoming": 0,      "unavailable": 0,      "version": 0,      "createdOn": "2019-08-24T14:15:22Z",      "updatedOn": null    }  ],  "variantOptionValues": {    "property1": "string",    "property2": "string"  },  "modifierGroups": [    {      "modifierGroupId": "string",      "name": "string",      "description": null,      "isRequired": true,      "selectionType": "string",      "minSelections": 0,      "maxSelections": null,      "order": 0,      "status": "string",      "options": [        {          "modifierOptionId": "string",          "name": "string",          "priceDelta": 0.1,          "isDefault": true,          "imageUrl": null,          "order": 0,          "status": "string"        }      ]    }  ],  "createdOn": "2019-08-24T14:15:22Z",  "updatedOn": null}